Subject: Re: bug#60854: [PATCH] Make warnings show a "warning" emoji instead of a stop-sign

From: Eli Zaretskii <[email-masked]>
Date: Fri, 31 Mar 2023 10:54:57 +0300

> From: Konstantin Kharlamov <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 31 Mar 2023 10:48:12 +0300
> 
> FWIW, I co-maintain a color-identifiers mode on github, and I have occasionally
> introduced new native-comp warnings (about a variable being referred in a
> function before its `defvar`). This happens because you debug and test ELisp
> code without it being compiled at all. Then later after everything seems to
> work, you test that byte-compilation produces no warnings. But at that point you
> don't know there isn't any warnings from native-comp, so you also need to load
> the byte-compiled file, which is easy to forget.

Better testing should fix these.

> That, and given that some modes in (M)Elpa may be unmaintained — I don't see
> native-comp warnings go away any time soon.

Well, they went away in Emacs a long time ago.  So it's doable.

> Simply changing emoji would still show interested users there is a problem with
> their mode that they can fix, but at the same time would avoid attributing
> negative experience to Emacs per se.

Feel free to suggest defcustoms to allow users to customize the
symbols.  That should leave everyone happy.

In any case, it's too late to suggest such changes for the emacs-29
branch.